#!/bin/bash

mkdir -p results/minimal_media_auxothrophies_o2
PREFLAGS="-XX:+UseParallelGC -Xshare:off -Xmx13G  -Djava.library.path=/home/randrade/ilog/cplex/cplex/bin/x86-64_sles10_4.1/"
FLAGS="-nbThreads=6 -nopreprocess -udpo -epsilon1=0.5 -bigM=1000 -fbaCheck"
INPUTDIR=inputs/experiment1
INPUTFILE=input_paper_minimal_media_auxothrophies_o2.xml

echo "CFT073"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_CFT073_ic_1306_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/CFT/$INPUTFILE $FLAGS 2>&1

echo "EDL993"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_EDL993_iZ_1308_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/EDL_MG_Sakai/$INPUTFILE $FLAGS 2>&1
 
echo "MG1665"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_MG1665_iJO1366_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/EDL_MG_Sakai/$INPUTFILE $FLAGS 2>&1
 
echo "Sakai"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_Sakai_ECs_1301_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/EDL_MG_Sakai/$INPUTFILE $FLAGS 2>&1
 
mv *output_PS.xml results/minimal_media_auxothrophies_o2/
